import { Extension } from '../core/extension';
export type ToolbarItemType = ToolbarItem | (new () => ToolbarItem);
export declare abstract class ToolbarItem extends Extension {
    private _name?;
    protected container: HTMLDivElement;
    protected initialized: boolean;
    protected abortController?: AbortController;
    get name(): string;
    get viewer(): import('..').ViewerType;
    get signal(): AbortSignal | undefined;
    get className(): string;
    translate(key: string, options?: object): string;
    initialize(): Promise<void>;
    terminate(): Promise<void>;
    protected init(): Promise<void> | void;
    protected destroy(): Promise<void> | void;
    hide(): void;
    show(): void;
    render(): HTMLDivElement;
}
